﻿Type=Service
Version=1.80
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
    Dim Manager As BillingManager
    Dim PublicKey As String
    PublicKey = "xxxyyyzzz"
End Sub

Sub Service_Create
    Manager.Initialize("manager", PublicKey)
End Sub

Sub Service_Start (StartingIntent As Intent)
    Manager.HandleIntent(StartingIntent)
End Sub

Sub Manager_BillingSupported (Supported As Boolean)
    Log("BillingSupported: " & Supported)
End Sub

Sub Manager_PurchaseStateChange (PurchaseState As Int, ProductId As String, OrderId As String, PurchaseTime As Long, ExtraData As String)

	Log("PurchaseStateChange: " & PurchaseState)
	Log("ProductId: "  & ProductId)
	Log("OrderId: " & OrderId)
	Log("DateTime: " & DateTime.Time(PurchaseTime))
	Log("ExtraData: " & ExtraData)
    
	If PurchaseState = Manager.PURCHASE_STATE_PURCHASED Then
        'Here you should store the purchase information
        'and then notify the activity about the purchase.
        'In most cases the activity will be running at this state. However it is possible that it will be paused.
        'In that case the following call will be ignored.
        CallSub2(Main, "ThankYouForPurchasing", ProductId)
    End If
End Sub

Sub Service_Destroy
    Manager.UnbindMarketService
End Sub